Google Play API
Google Play 스토어에서 구조화된 데이터를 가져옵니다. engine=google_play를 설정하고, 단일 목록을 가져오려면 product_id와 함께 type=product를 사용하고, 스토어를 검색하려면 q 쿼리와 함께 type=search를 사용하세요.
엔드포인트
섹션 제목: “엔드포인트” GET https://serp.shifter.io/v1?engine=google_play&api_key=YOUR_API_KEY
매개변수
섹션 제목: “매개변수”| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
api_key | string | 예 | 사용자의 SERP API 키 |
engine | string | 예 | google_play여야 함 |
type | string | 예 | search 또는 product |
store | string | 예 | apps 또는 books |
product_id | string | conditional | type=product일 때 필수. Play 스토어 패키지 또는 도서 ID |
q | string | conditional | type=search일 때 필수. 검색 쿼리 |
hl | string | 아니요 | 인터페이스 언어 코드 |
gl | string | 아니요 | 국가 코드 |
요청 예시
섹션 제목: “요청 예시”curl "https://serp.shifter.io/v1?engine=google_play&api_key=YOUR_API_KEY&type=product&store=apps&product_id=com.kiloo.subwaysurf"import requests
params = { "engine": "google_play", "api_key": "YOUR_API_KEY", "type": "product", "store": "apps", "product_id": "com.kiloo.subwaysurf",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_play', api_key: 'YOUR_API_KEY', type: 'product', store: 'apps', product_id: 'com.kiloo.subwaysurf',});const data = await (await fetch(url)).json();응답 예시
섹션 제목: “응답 예시”{ "search_parameters": { "engine": "google_play", "type": "product", "store": "apps", "product_id": "com.kiloo.subwaysurf" }, "product_info": { "title": "Subway Surfers", "developer": "SYBO Games", "rating": 4.5, "reviews": 41230000, "downloads": "1B+", "description": "DASH as fast as you can! ..." }, "media": { "icon": "https://play-lh.googleusercontent.com/..." }}